Index: ./www/ap-dav/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/ap-dav/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- ./www/ap-dav/Makefile	4 Mar 2006 21:30:56 -0000	1.18
+++ ./www/ap-dav/Makefile	4 Apr 2006 06:26:58 -0000
@@ -11,7 +11,7 @@
 COMMENT=		Apache WebDAV module
 
 # Ugly mess that says apache>=1.3.9 and apache<2.0.
-BUILDLINK_DEPENDS.apache+=	{apache-1.3.9*,apache-1.3.[1-9][0-9]*,apache6-1.3.9*,apache6-1.3.[1-9][0-9]*}
+BUILDLINK_API_DEPENDS.apache+=	{apache-1.3.9*,apache-1.3.[1-9][0-9]*,apache6-1.3.9*,apache6-1.3.[1-9][0-9]*}
 
 APACHE_MODULE=		YES
 GNU_CONFIGURE=		YES
Index: ./www/ap-perl/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/ap-perl/Makefile,v
retrieving revision 1.41
diff -u -r1.41 Makefile
--- ./www/ap-perl/Makefile	4 Mar 2006 21:30:56 -0000	1.41
+++ ./www/ap-perl/Makefile	4 Apr 2006 06:26:58 -0000
@@ -14,7 +14,7 @@
 
 CONFLICTS=		ap2-perl-[0-9]*
 
-DEPENDS+=		${BUILDLINK_DEPENDS.apache}:../../www/apache
+DEPENDS+=		${BUILDLINK_API_DEPENDS.apache}:../../www/apache
 DEPENDS+=		p5-BSD-Resource>=1.10:../../devel/p5-BSD-Resource
 
 APACHE_MODULE=		YES
Index: ./www/ap-perl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/ap-perl/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./www/ap-perl/buildlink3.mk	5 Feb 2006 23:11:17 -0000	1.6
+++ ./www/ap-perl/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ap-perl
 
 .if !empty(AP_PERL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ap-perl+=	ap-perl>=1.29nb3
-BUILDLINK_RECOMMENDED.ap-perl?=	ap-perl>=1.29nb5
+BUILDLINK_API_DEPENDS.ap-perl+=	ap-perl>=1.29nb3
+BUILDLINK_ABI_DEPENDS.ap-perl?=	ap-perl>=1.29nb5
 BUILDLINK_PKGSRCDIR.ap-perl?=	../../www/ap-perl
 
 BUILDLINK_FILES.ap-perl+=	lib/httpd/mod_perl.*
Index: ./www/ap-ssl/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/ap-ssl/Makefile,v
retrieving revision 1.99
diff -u -r1.99 Makefile
--- ./www/ap-ssl/Makefile	4 Mar 2006 21:30:56 -0000	1.99
+++ ./www/ap-ssl/Makefile	4 Apr 2006 06:26:58 -0000
@@ -14,7 +14,7 @@
 
 CONFLICTS=		apache-1.3.[0-9] apache-*modssl-[0-9]* apache6-[0-9]*
 
-BUILDLINK_DEPENDS.apache+=	apache>=1.3.33
+BUILDLINK_API_DEPENDS.apache+=	apache>=1.3.33
 
 APACHE_MODULE=		yes
 
Index: ./www/ap2-auth-ldap/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/ap2-auth-ldap/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- ./www/ap2-auth-ldap/Makefile	5 Feb 2006 23:11:18 -0000	1.10
+++ ./www/ap2-auth-ldap/Makefile	4 Apr 2006 06:26:58 -0000
@@ -16,7 +16,7 @@
 USE_LIBTOOL=		YES
 CPPFLAGS+=		-L${PREFIX}/lib ${COMPILER_RPATH_FLAG}${PREFIX}/lib -lldap -llber
 
-BUILDLINK_DEPENDS.apache+=	apache>=2.0.47
+BUILDLINK_API_DEPENDS.apache+=	apache>=2.0.47
 
 CONFIGURE_ARGS+=	--with-apxs=${APXS:Q}
 CONFIGURE_ARGS+=	--with-ldap-dir=${BUILDLINK_PREFIX.openldap}
Index: ./www/ap2-perl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/ap2-perl/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./www/ap2-perl/buildlink3.mk	5 Feb 2006 23:11:18 -0000	1.4
+++ ./www/ap2-perl/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ap2-perl
 
 .if !empty(AP2_PERL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ap2-perl+=	ap2-perl>=2.0.1
-BUILDLINK_RECOMMENDED.ap2-perl?=	ap2-perl>=2.0.1nb2
+BUILDLINK_API_DEPENDS.ap2-perl+=	ap2-perl>=2.0.1
+BUILDLINK_ABI_DEPENDS.ap2-perl?=	ap2-perl>=2.0.1nb2
 BUILDLINK_PKGSRCDIR.ap2-perl?=	../../www/ap2-perl
 .endif	# AP2_PERL_BUILDLINK3_MK
 
Index: ./www/ap2-subversion/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/ap2-subversion/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- ./www/ap2-subversion/Makefile	7 Feb 2006 19:58:07 -0000	1.22
+++ ./www/ap2-subversion/Makefile	4 Apr 2006 06:26:58 -0000
@@ -14,7 +14,7 @@
 BUILD_TARGET=		apache-mod
 INSTALL_TARGET=		install-mods-shared
 
-BUILDLINK_DEPENDS.apache?=	apache>=2.0.48
+BUILDLINK_API_DEPENDS.apache?=	apache>=2.0.48
 
 post-patch:
 	${RM} ${WRKSRC}/build-outputs.mk
Index: ./www/apache/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/apache/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./www/apache/buildlink3.mk	5 Feb 2006 23:11:18 -0000	1.13
+++ ./www/apache/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	apache
 
 .if !empty(APACHE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.apache+=	apache{,6}-1.3.*
-BUILDLINK_RECOMMENDED.apache?=	apache>=1.3.34nb5
+BUILDLINK_API_DEPENDS.apache+=	apache{,6}-1.3.*
+BUILDLINK_ABI_DEPENDS.apache?=	apache>=1.3.34nb5
 BUILDLINK_PKGSRCDIR.apache?=	../../www/apache
 
 .if defined(APACHE_MODULE)
Index: ./www/apache2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/apache2/Makefile,v
retrieving revision 1.95
diff -u -r1.95 Makefile
--- ./www/apache2/Makefile	5 Feb 2006 23:11:18 -0000	1.95
+++ ./www/apache2/Makefile	4 Apr 2006 06:26:58 -0000
@@ -27,7 +27,7 @@
 CONFIGURE_ARGS+=	--with-apr=${BUILDLINK_PREFIX.apr}
 CONFIGURE_ARGS+=	--with-apr-util=${BUILDLINK_PREFIX.apr}
 
-BUILDLINK_DEPENDS.apr+=	apr>=0.9.7.2.0.55
+BUILDLINK_API_DEPENDS.apr+=	apr>=0.9.7.2.0.55
 
 .include "../../mk/bsd.prefs.mk"
 .include "../../devel/apr/buildlink3.mk"
Index: ./www/apache2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/apache2/buildlink3.mk,v
retrieving revision 1.16
diff -u -r1.16 buildlink3.mk
--- ./www/apache2/buildlink3.mk	5 Feb 2006 23:11:19 -0000	1.16
+++ ./www/apache2/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	apache
 
 .if !empty(APACHE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.apache+=	apache>=2.0.51
-BUILDLINK_RECOMMENDED.apache+=	apache>=2.0.55nb7
+BUILDLINK_API_DEPENDS.apache+=	apache>=2.0.51
+BUILDLINK_ABI_DEPENDS.apache+=	apache>=2.0.55nb7
 BUILDLINK_PKGSRCDIR.apache?=	../../www/apache2
 BUILDLINK_DEPMETHOD.apache?=	build
 .  if defined(APACHE_MODULE)
Index: ./www/cgic/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/cgic/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./www/cgic/buildlink3.mk	8 Dec 2005 16:09:05 -0000	1.1
+++ ./www/cgic/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	cgic
 
 .if !empty(CGIC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cgic+=	cgic>=2.02nb1
+BUILDLINK_API_DEPENDS.cgic+=	cgic>=2.02nb1
 BUILDLINK_PKGSRCDIR.cgic?=	../../www/cgic
 .endif	# CGIC_BUILDLINK3_MK
 
Index: ./www/cgilib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/cgilib/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./www/cgilib/buildlink3.mk	3 Oct 2004 00:18:25 -0000	1.4
+++ ./www/cgilib/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cgilib
 
 .if !empty(CGILIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cgilib+=	cgilib>=0.5nb1
-BUILDLINK_RECOMMENDED.cgilib+=	cgilib>=0.5nb2
+BUILDLINK_API_DEPENDS.cgilib+=	cgilib>=0.5nb1
+BUILDLINK_ABI_DEPENDS.cgilib+=	cgilib>=0.5nb2
 BUILDLINK_PKGSRCDIR.cgilib?=	../../www/cgilib
 .endif	# CGILIB_BUILDLINK3_MK
 
Index: ./www/clearsilver/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/clearsilver/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./www/clearsilver/buildlink3.mk	5 Feb 2006 23:11:20 -0000	1.2
+++ ./www/clearsilver/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	clearsilver-base
 
 .if !empty(CLEARSILVER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.clearsilver+=		clearsilver-base>=0.9.0
-BUILDLINK_RECOMMENDED.clearsilver+=	clearsilver>=0.10.1
+BUILDLINK_API_DEPENDS.clearsilver+=		clearsilver-base>=0.9.0
+BUILDLINK_ABI_DEPENDS.clearsilver+=	clearsilver>=0.10.1
 BUILDLINK_PKGSRCDIR.clearsilver?=	../../www/clearsilver-base
 .endif
 
Index: ./www/curl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/curl/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./www/curl/buildlink3.mk	21 Mar 2006 21:49:47 -0000	1.12
+++ ./www/curl/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	curl
 
 .if !empty(CURL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.curl+=	curl>=7.12.3
-BUILDLINK_RECOMMENDED.curl+=	curl>=7.15.3
+BUILDLINK_API_DEPENDS.curl+=	curl>=7.12.3
+BUILDLINK_ABI_DEPENDS.curl+=	curl>=7.15.3
 BUILDLINK_PKGSRCDIR.curl?=	../../www/curl
 .endif	# CURL_BUILDLINK3_MK
 
Index: ./www/drivel/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/drivel/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- ./www/drivel/Makefile	21 Mar 2006 06:00:51 -0000	1.28
+++ ./www/drivel/Makefile	4 Apr 2006 06:26:58 -0000
@@ -18,7 +18,7 @@
 
 GCONF2_SCHEMAS=		drivel.schemas
 
-BUILDLINK_DEPENDS.curl+=	curl>=7.14.0nb1
+BUILDLINK_API_DEPENDS.curl+=	curl>=7.14.0nb1
 
 .include "../../databases/shared-mime-info/mimedb.mk"
 .include "../../devel/GConf2/schemas.mk"
Index: ./www/epiphany/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/epiphany/Makefile,v
retrieving revision 1.50
diff -u -r1.50 Makefile
--- ./www/epiphany/Makefile	21 Mar 2006 06:00:51 -0000	1.50
+++ ./www/epiphany/Makefile	4 Apr 2006 06:26:58 -0000
@@ -30,7 +30,7 @@
 
 .if !empty(PKG_OPTIONS:Mfirefox)
 # Require a version that has the .pc files in it.
-BUILDLINK_DEPENDS.firefox+=	firefox>=1.5nb2
+BUILDLINK_API_DEPENDS.firefox+=	firefox>=1.5nb2
 
 CPPFLAGS+=		-I${BUILDLINK_PREFIX.firefox}/include/firefox/find
 CFLAGS+=		-I${BUILDLINK_PREFIX.firefox}/include/firefox/find
@@ -50,9 +50,9 @@
 GCONF2_SCHEMAS=		epiphany.schemas
 GCONF2_SCHEMAS+=	epiphany-lockdown.schemas
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.8.0
-BUILDLINK_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.10.0
-BUILDLINK_DEPENDS.gtk2+=	gtk2+>=2.8.3
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.8.0
+BUILDLINK_API_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.10.0
+BUILDLINK_API_DEPENDS.gtk2+=	gtk2+>=2.8.3
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./www/epiphany/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/epiphany/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./www/epiphany/buildlink3.mk	5 Feb 2006 23:11:20 -0000	1.13
+++ ./www/epiphany/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -14,8 +14,8 @@
 
 .if !empty(EPIPHANY_BUILDLINK3_MK:M+)
 BUILDLINK_PACKAGES+=			epiphany
-BUILDLINK_DEPENDS.epiphany+=		epiphany>=1.8.2
-BUILDLINK_RECOMMENDED.epiphany?=		epiphany>=1.8.3nb2
+BUILDLINK_API_DEPENDS.epiphany+=		epiphany>=1.8.2
+BUILDLINK_ABI_DEPENDS.epiphany?=		epiphany>=1.8.3nb2
 BUILDLINK_PKGSRCDIR.epiphany?=		../../www/epiphany
 
 .include "../../mk/bsd.prefs.mk"
Index: ./www/epiphany-extensions/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/epiphany-extensions/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- ./www/epiphany-extensions/Makefile	6 Mar 2006 00:18:26 -0000	1.24
+++ ./www/epiphany-extensions/Makefile	4 Apr 2006 06:26:58 -0000
@@ -36,7 +36,7 @@
 CPPFLAGS+=		-I${BUILDLINK_PREFIX.mozilla-gtk2}/include/mozilla-gtk2/webbrwsr
 .endif
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.8.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.8.0
 
 .include "../../devel/GConf2/buildlink3.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./www/fcgi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/fcgi/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./www/fcgi/buildlink3.mk	3 Oct 2004 00:18:25 -0000	1.2
+++ ./www/fcgi/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	fcgi
 
 .if !empty(FCGI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fcgi+=	fcgi>=2.2.2nb1
-BUILDLINK_RECOMMENDED.fcgi+=	fcgi>=2.4.0nb1
+BUILDLINK_API_DEPENDS.fcgi+=	fcgi>=2.2.2nb1
+BUILDLINK_ABI_DEPENDS.fcgi+=	fcgi>=2.4.0nb1
 BUILDLINK_PKGSRCDIR.fcgi?=	../../www/fcgi
 .endif	# FCGI_BUILDLINK3_MK
 
Index: ./www/firefox/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./www/firefox/buildlink3.mk	6 Feb 2006 00:37:54 -0000	1.11
+++ ./www/firefox/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=		firefox
 
 .if !empty(FIREFOX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.firefox+=	firefox>=1.5
-BUILDLINK_RECOMMENDED.firefox+=	firefox>=1.5.0.1nb1
+BUILDLINK_API_DEPENDS.firefox+=	firefox>=1.5
+BUILDLINK_ABI_DEPENDS.firefox+=	firefox>=1.5.0.1nb1
 BUILDLINK_PKGSRCDIR.firefox?=	../../www/firefox
 .endif	# FIREFOX_BUILDLINK3_MK
 
Index: ./www/firefox-gtk1/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/firefox-gtk1/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./www/firefox-gtk1/buildlink3.mk	5 Feb 2006 23:11:21 -0000	1.9
+++ ./www/firefox-gtk1/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	firefox-gtk1
 
 .if !empty(FIREFOX_GTK2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.firefox-gtk1+=	firefox-gtk1>=1.5
-BUILDLINK_RECOMMENDED.firefox-gtk1+=	firefox-gtk1>=1.5.0.1nb1
+BUILDLINK_API_DEPENDS.firefox-gtk1+=	firefox-gtk1>=1.5
+BUILDLINK_ABI_DEPENDS.firefox-gtk1+=	firefox-gtk1>=1.5.0.1nb1
 BUILDLINK_PKGSRCDIR.firefox-gtk1?=	../../www/firefox-gtk1
 .endif	# FIREFOX_GTK2_BUILDLINK3_MK
 
Index: ./www/glibwww/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/glibwww/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./www/glibwww/buildlink3.mk	5 Feb 2006 23:11:24 -0000	1.3
+++ ./www/glibwww/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	glibwww
 
 .if !empty(GLIBWWW_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.glibwww?=	glibwww>=0.2nb5
-BUILDLINK_RECOMMENDED.glibwww+=	glibwww>=0.2nb8
+BUILDLINK_API_DEPENDS.glibwww?=	glibwww>=0.2nb5
+BUILDLINK_ABI_DEPENDS.glibwww+=	glibwww>=0.2nb8
 BUILDLINK_PKGSRCDIR.glibwww?=	../../www/glibwww
 .endif	# GLIBWWW_BUILDLINK3_MK
 
Index: ./www/gtkhtml/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/gtkhtml/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./www/gtkhtml/buildlink3.mk	5 Feb 2006 23:11:24 -0000	1.6
+++ ./www/gtkhtml/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtkhtml
 
 .if !empty(GTKHTML_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtkhtml?=	gtkhtml>=1.1.10nb5
-BUILDLINK_RECOMMENDED.gtkhtml?=	gtkhtml>=1.1.10nb7
+BUILDLINK_API_DEPENDS.gtkhtml?=	gtkhtml>=1.1.10nb5
+BUILDLINK_ABI_DEPENDS.gtkhtml?=	gtkhtml>=1.1.10nb7
 BUILDLINK_PKGSRCDIR.gtkhtml?=	../../www/gtkhtml
 .endif	# GTKHTML_BUILDLINK3_MK
 
Index: ./www/gtkhtml30/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/gtkhtml30/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./www/gtkhtml30/buildlink3.mk	5 Feb 2006 23:11:24 -0000	1.4
+++ ./www/gtkhtml30/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtkhtml30
 
 .if !empty(GTKHTML30_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtkhtml30+=	gtkhtml30>=3.0.10
-BUILDLINK_RECOMMENDED.gtkhtml30?=	gtkhtml30>=3.0.10nb6
+BUILDLINK_API_DEPENDS.gtkhtml30+=	gtkhtml30>=3.0.10
+BUILDLINK_ABI_DEPENDS.gtkhtml30?=	gtkhtml30>=3.0.10nb6
 BUILDLINK_PKGSRCDIR.gtkhtml30?=	../../www/gtkhtml30
 .endif	# GTKHTML30_BUILDLINK3_MK
 
Index: ./www/gtkhtml36/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/gtkhtml36/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./www/gtkhtml36/buildlink3.mk	5 Feb 2006 23:11:24 -0000	1.5
+++ ./www/gtkhtml36/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtkhtml36
 
 .if !empty(GTKHTML36_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtkhtml36+=	gtkhtml36>=3.6.0
-BUILDLINK_RECOMMENDED.gtkhtml36?=	gtkhtml36>=3.6.2nb3
+BUILDLINK_API_DEPENDS.gtkhtml36+=	gtkhtml36>=3.6.0
+BUILDLINK_ABI_DEPENDS.gtkhtml36?=	gtkhtml36>=3.6.2nb3
 BUILDLINK_PKGSRCDIR.gtkhtml36?=	../../www/gtkhtml36
 .endif	# GTKHTML36_BUILDLINK3_MK
 
Index: ./www/gtkhtml38/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/gtkhtml38/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./www/gtkhtml38/buildlink3.mk	6 Mar 2006 00:18:12 -0000	1.6
+++ ./www/gtkhtml38/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gtkhtml38
 
 .if !empty(GTKHTML38_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gtkhtml38+=	gtkhtml38>=3.8.0
-BUILDLINK_RECOMMENDED.gtkhtml38?=	gtkhtml38>=3.8.2
+BUILDLINK_API_DEPENDS.gtkhtml38+=	gtkhtml38>=3.8.0
+BUILDLINK_ABI_DEPENDS.gtkhtml38?=	gtkhtml38>=3.8.2
 BUILDLINK_PKGSRCDIR.gtkhtml38?=	../../www/gtkhtml38
 .endif	# GTKHTML38_BUILDLINK3_MK
 
Index: ./www/libghttp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/libghttp/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./www/libghttp/buildlink3.mk	3 Oct 2004 00:18:26 -0000	1.3
+++ ./www/libghttp/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libghttp
 
 .if !empty(LIBGHTTP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libghttp+=	libghttp>=1.0.9
-BUILDLINK_RECOMMENDED.libghttp+=	libghttp>=1.0.9nb1
+BUILDLINK_API_DEPENDS.libghttp+=	libghttp>=1.0.9
+BUILDLINK_ABI_DEPENDS.libghttp+=	libghttp>=1.0.9nb1
 BUILDLINK_PKGSRCDIR.libghttp?=	../../www/libghttp
 .endif	# LIBGHTTP_BUILDLINK3_MK
 
Index: ./www/libgtkhtml/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/libgtkhtml/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./www/libgtkhtml/buildlink3.mk	5 Feb 2006 23:11:25 -0000	1.10
+++ ./www/libgtkhtml/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgtkhtml
 
 .if !empty(LIBGTKHTML_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgtkhtml+=		libgtkhtml>=2.6.0
-BUILDLINK_RECOMMENDED.libgtkhtml+=	libgtkhtml>=2.6.3nb3
+BUILDLINK_API_DEPENDS.libgtkhtml+=		libgtkhtml>=2.6.0
+BUILDLINK_ABI_DEPENDS.libgtkhtml+=	libgtkhtml>=2.6.3nb3
 BUILDLINK_PKGSRCDIR.libgtkhtml?=	../../www/libgtkhtml
 .endif	# LIBGTKHTML_BUILDLINK3_MK
 
Index: ./www/libwww/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/libwww/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./www/libwww/buildlink3.mk	5 Feb 2006 23:11:25 -0000	1.6
+++ ./www/libwww/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libwww
 
 .if !empty(LIBWWW_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libwww+=	libwww>=5.3.2nb2
-BUILDLINK_RECOMMENDED.libwww+=	libwww>=5.4.0nb5
+BUILDLINK_API_DEPENDS.libwww+=	libwww>=5.3.2nb2
+BUILDLINK_ABI_DEPENDS.libwww+=	libwww>=5.4.0nb5
 BUILDLINK_PKGSRCDIR.libwww?=	../../www/libwww
 .endif	# LIBWWW_BUILDLINK3_MK
 
Index: ./www/mozilla/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/mozilla/buildlink3.mk,v
retrieving revision 1.17
diff -u -r1.17 buildlink3.mk
--- ./www/mozilla/buildlink3.mk	6 Feb 2006 00:25:06 -0000	1.17
+++ ./www/mozilla/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=		mozilla
 
 .if !empty(MOZILLA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mozilla+=	mozilla>=1.7.5
-BUILDLINK_RECOMMENDED.mozilla+=	mozilla>=1.7.12nb3
+BUILDLINK_API_DEPENDS.mozilla+=	mozilla>=1.7.5
+BUILDLINK_ABI_DEPENDS.mozilla+=	mozilla>=1.7.12nb3
 BUILDLINK_PKGSRCDIR.mozilla?=	../../www/mozilla
 .endif	# MOZILLA_BUILDLINK3_MK
 
Index: ./www/mozilla/gecko-depends.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/mozilla/gecko-depends.mk,v
retrieving revision 1.2
diff -u -r1.2 gecko-depends.mk
--- ./www/mozilla/gecko-depends.mk	28 Sep 2005 12:04:29 -0000	1.2
+++ ./www/mozilla/gecko-depends.mk	4 Apr 2006 06:26:58 -0000
@@ -2,7 +2,7 @@
 
 .if !empty(PKG_OPTIONS:Mfirefox)
 # firefox didn't have a pkgconfig file before 1.0.4
-BUILDLINK_DEPENDS.firefox+= firefox>=1.0.4
+BUILDLINK_API_DEPENDS.firefox+= firefox>=1.0.4
 .include "../../www/firefox/buildlink3.mk"
 .else
 .include "../../www/mozilla-gtk2/buildlink3.mk"
Index: ./www/mozilla-gtk2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/mozilla-gtk2/buildlink3.mk,v
retrieving revision 1.15
diff -u -r1.15 buildlink3.mk
--- ./www/mozilla-gtk2/buildlink3.mk	6 Feb 2006 00:25:06 -0000	1.15
+++ ./www/mozilla-gtk2/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=			mozilla-gtk2
 
 .if !empty(MOZILLA_GTK2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mozilla-gtk2+=	mozilla-gtk2>=1.7.5
-BUILDLINK_RECOMMENDED.mozilla-gtk2+=	mozilla-gtk2>=1.7.12nb3
+BUILDLINK_API_DEPENDS.mozilla-gtk2+=	mozilla-gtk2>=1.7.5
+BUILDLINK_ABI_DEPENDS.mozilla-gtk2+=	mozilla-gtk2>=1.7.12nb3
 BUILDLINK_PKGSRCDIR.mozilla-gtk2?=	../../www/mozilla-gtk2
 .endif	# MOZILLA_GTK2_BUILDLINK3_MK
 
Index: ./www/neon/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/neon/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./www/neon/buildlink3.mk	5 Feb 2006 23:11:26 -0000	1.6
+++ ./www/neon/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	neon
 
 .if !empty(NEON_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.neon+=	neon>=0.24.4
-BUILDLINK_RECOMMENDED.neon+=	neon>=0.25.5nb2
+BUILDLINK_API_DEPENDS.neon+=	neon>=0.24.4
+BUILDLINK_ABI_DEPENDS.neon+=	neon>=0.25.5nb2
 BUILDLINK_PKGSRCDIR.neon?=	../../www/neon
 .endif	# NEON_BUILDLINK3_MK
 
Index: ./www/p5-libapreq2/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/p5-libapreq2/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- ./www/p5-libapreq2/Makefile	4 Mar 2006 21:31:03 -0000	1.17
+++ ./www/p5-libapreq2/Makefile	4 Apr 2006 06:26:58 -0000
@@ -12,8 +12,8 @@
 
 DEPENDS+=	p5-ExtUtils-XSBuilder>=0.23:../../devel/p5-ExtUtils-XSBuilder
 
-BUILDLINK_DEPENDS.apache+=	apache>=2.0.48
-BUILDLINK_DEPENDS.ap2-perl+=	ap2-perl>=2.0.1
+BUILDLINK_API_DEPENDS.apache+=	apache>=2.0.48
+BUILDLINK_API_DEPENDS.ap2-perl+=	ap2-perl>=2.0.1
 
 USE_TOOLS+=	gmake
 USE_LIBTOOL=	YES
Index: ./www/php4/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/php4/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./www/php4/buildlink3.mk	5 Feb 2006 23:11:28 -0000	1.8
+++ ./www/php4/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	php
 
 .if !empty(PHP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.php+=		php-4.4.*
-BUILDLINK_RECOMMENDED.php+=	php>=4.4.1nb3
+BUILDLINK_API_DEPENDS.php+=		php-4.4.*
+BUILDLINK_ABI_DEPENDS.php+=	php>=4.4.1nb3
 BUILDLINK_PKGSRCDIR.php?=	../../www/php4
 .endif	# PHP_BUILDLINK3_MK
 
Index: ./www/py-curl/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/py-curl/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- ./www/py-curl/Makefile	5 Feb 2006 23:11:28 -0000	1.26
+++ ./www/py-curl/Makefile	4 Apr 2006 06:26:58 -0000
@@ -15,7 +15,7 @@
 PYTHON_VERSIONS_ACCEPTED=	23 22
 PLIST_SUBST+=	PYVERSSUFFIX=${PYVERSSUFFIX:Q}
 
-BUILDLINK_DEPENDS.curl+=        curl>=7.12.1
+BUILDLINK_API_DEPENDS.curl+=        curl>=7.12.1
 
 .include "../../www/curl/buildlink3.mk"
 .include "../../lang/python/extension.mk"
Index: ./www/sope/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/sope/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./www/sope/buildlink3.mk	5 Feb 2006 23:11:28 -0000	1.3
+++ ./www/sope/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sope
 
 .if !empty(SOPE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sope+=	sope>=4.5.4nb2
-BUILDLINK_RECOMMENDED.sope?=	sope>=4.5.4nb3
+BUILDLINK_API_DEPENDS.sope+=	sope>=4.5.4nb2
+BUILDLINK_ABI_DEPENDS.sope?=	sope>=4.5.4nb3
 BUILDLINK_PKGSRCDIR.sope?=	../../www/sope
 .endif	# SOPE_BUILDLINK3_MK
 
Index: ./www/tidy/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/tidy/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./www/tidy/buildlink3.mk	5 Feb 2006 23:11:29 -0000	1.3
+++ ./www/tidy/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tidy
 
 .if !empty(TIDY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tidy+=	tidy>=20031002
-BUILDLINK_RECOMMENDED.tidy?=	tidy>=20050921nb1
+BUILDLINK_API_DEPENDS.tidy+=	tidy>=20031002
+BUILDLINK_ABI_DEPENDS.tidy?=	tidy>=20050921nb1
 BUILDLINK_PKGSRCDIR.tidy?=	../../www/tidy
 .endif	# TIDY_BUILDLINK3_MK
 
Index: ./www/zope25/product.mk
===================================================================
RCS file: /cvsroot/pkgsrc/www/zope25/product.mk,v
retrieving revision 1.9
diff -u -r1.9 product.mk
--- ./www/zope25/product.mk	12 Mar 2006 17:35:05 -0000	1.9
+++ ./www/zope25/product.mk	4 Apr 2006 06:26:58 -0000
@@ -1,8 +1,8 @@
 # $NetBSD: product.mk,v 1.9 2006/03/12 17:35:05 rillig Exp $
 
 DIST_SUBDIR=	zope
-BUILDLINK_DEPENDS.zope?=	zope-2.*
-DEPENDS+=	${BUILDLINK_DEPENDS.zope}:../../www/zope25
+BUILDLINK_API_DEPENDS.zope?=	zope-2.*
+DEPENDS+=	${BUILDLINK_API_DEPENDS.zope}:../../www/zope25
 EVAL_PREFIX+=	BUILDLINK_PREFIX.zope=zope25
 BUILDLINK_PREFIX.zope_DEFAULT=	${LOCALBASE}
 WRKSRC?=	${WRKDIR}
Index: ./www/zope25-CMFPlone/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/zope25-CMFPlone/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./www/zope25-CMFPlone/Makefile	4 Mar 2006 21:31:04 -0000	1.14
+++ ./www/zope25-CMFPlone/Makefile	4 Apr 2006 06:26:58 -0000
@@ -9,7 +9,7 @@
 HOMEPAGE=	http://www.plone.org/
 COMMENT=	Content Management System
 
-BUILDLINK_DEPENDS.zope+=	zope-2.6.*
+BUILDLINK_API_DEPENDS.zope+=	zope-2.6.*
 DEPENDS+=	zope25-CMF-[0-9]*:../../www/zope25-CMF
 DEPENDS+=	zope25-Formulator-[0-9]*:../../www/zope25-Formulator
 
Index: ./www/zope25-EasyImage/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/zope25-EasyImage/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- ./www/zope25-EasyImage/Makefile	4 Mar 2006 21:31:05 -0000	1.12
+++ ./www/zope25-EasyImage/Makefile	4 Apr 2006 06:26:58 -0000
@@ -7,7 +7,7 @@
 MASTER_SITES=	http://www.zope.org/Members/regebro/easyimage/
 EXTRACT_SUFX=	.zip
 
-BUILDLINK_DEPENDS.pyimaging+=	${PYPKGPREFIX}-imaging>=1.1.3
+BUILDLINK_API_DEPENDS.pyimaging+=	${PYPKGPREFIX}-imaging>=1.1.3
 
 MAINTAINER=	pkgsrc-users@NetBSD.org
 HOMEPAGE=	http://www.zope.org/Members/regebro/easyimage
Index: ./www/zope25-JPicture/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/zope25-JPicture/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- ./www/zope25-JPicture/Makefile	4 Mar 2006 21:31:05 -0000	1.12
+++ ./www/zope25-JPicture/Makefile	4 Apr 2006 06:26:58 -0000
@@ -7,7 +7,7 @@
 MASTER_SITES=	http://www.dataflake.org/software/jpicture/
 EXTRACT_SUFX=	.tgz
 
-BUILDLINK_DEPENDS.pyimaging+=	${PYPKGPREFIX}-imaging>=1.1.3
+BUILDLINK_API_DEPENDS.pyimaging+=	${PYPKGPREFIX}-imaging>=1.1.3
 
 MAINTAINER=	pkgsrc-users@NetBSD.org
 HOMEPAGE=	http://www.dataflake.org/software/jpicture/
Index: ./www/zope25-PropertyFolder/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/zope25-PropertyFolder/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- ./www/zope25-PropertyFolder/Makefile	4 Mar 2006 21:31:05 -0000	1.9
+++ ./www/zope25-PropertyFolder/Makefile	4 Apr 2006 06:26:58 -0000
@@ -9,7 +9,7 @@
 HOMEPAGE=	http://www.zope.org/Members/mjablonski/PropertyFolder
 COMMENT=	The folderish friend of the PropertyObject
 
-BUILDLINK_DEPENDS.zope+=	zope>=2.6.1
+BUILDLINK_API_DEPENDS.zope+=	zope>=2.6.1
 
 .include "../../www/zope25/product.mk"
 .include "../../mk/bsd.pkg.mk"
Index: ./www/zope25-ZPhotoSlides/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/www/zope25-ZPhotoSlides/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./www/zope25-ZPhotoSlides/Makefile	4 Mar 2006 21:31:06 -0000	1.21
+++ ./www/zope25-ZPhotoSlides/Makefile	4 Apr 2006 06:26:58 -0000
@@ -7,7 +7,7 @@
 MASTER_SITES=	http://www.zope.org/Members/p3b/ZPhotoSlides/
 
 DEPENDS+=	zope25-LocalFS-[0-9]*:../../www/zope25-LocalFS
-BUILDLINK_DEPENDS.pyimaging+=	${PYPKGPREFIX}-imaging>=1.1.3
+BUILDLINK_API_DEPENDS.pyimaging+=	${PYPKGPREFIX}-imaging>=1.1.3
 
 MAINTAINER=	pkgsrc-users@NetBSD.org
 HOMEPAGE=	http://www.zope.org/Members/p3b/ZPhotoSlides
Index: ./x11/XFree86-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/XFree86-libs/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./x11/XFree86-libs/buildlink3.mk	23 Feb 2006 23:17:30 -0000	1.8
+++ ./x11/XFree86-libs/buildlink3.mk	4 Apr 2006 06:26:58 -0000
@@ -18,8 +18,8 @@
 
 .if !empty(XFREE86_LIBS_BUILDLINK3_MK:M+)
 
-BUILDLINK_DEPENDS.XFree86-libs+=	XFree86-libs>=4.4.0
-BUILDLINK_RECOMMENDED.XFree86-libs+=	XFree86-libs>=4.4.0nb7
+BUILDLINK_API_DEPENDS.XFree86-libs+=	XFree86-libs>=4.4.0
+BUILDLINK_ABI_DEPENDS.XFree86-libs+=	XFree86-libs>=4.4.0nb7
 BUILDLINK_PKGSRCDIR.XFree86-libs?=	../../x11/XFree86-libs
 BUILDLINK_LIBDIRS.XFree86-libs?=	${X11ROOT_PREFIX}/lib
 BUILDLINK_TRANSFORM.XFree86-libs+=	-e "s|/${X11ROOT_PREFIX}/|/|"
Index: ./x11/XFree86-libs/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/x11/XFree86-libs/builtin.mk,v
retrieving revision 1.2
diff -u -r1.2 builtin.mk
--- ./x11/XFree86-libs/builtin.mk	24 Jun 2005 05:21:31 -0000	1.2
+++ ./x11/XFree86-libs/builtin.mk	4 Apr 2006 06:26:59 -0000
@@ -43,7 +43,7 @@
 .    if defined(BUILTIN_PKG.XFree86-libs) && \
         !empty(IS_BUILTIN.XFree86-libs:M[yY][eE][sS])
 USE_BUILTIN.XFree86-libs=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.XFree86-libs}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.XFree86-libs}
 .        if !empty(USE_BUILTIN.XFree86-libs:M[yY][eE][sS])
 USE_BUILTIN.XFree86-libs!=						\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.XFree86-libs:Q}; then \
